=== debian/changelog ===
gst-plugins-good1.0 (1.22.0-5+deb12u3) bookworm; urgency=medium

  * CVE-2025-47219

 -- Moritz Mühlenhoff <jmm@debian.org>  Wed, 20 Aug 2025 20:44:45 +0200

gst-plugins-good1.0 (1.22.0-5+deb12u2) bookworm-security; urgency=high

  * Non-maintainer upload by the Security Team.
  * qtdemux: Avoid integer overflow when parsing Theora extension
    (CVE-2024-47606, GHSL-2024-166)
  * jpegdec: Directly error out on negotiation failures (CVE-2024-47599,
    GHSL-2024-247)
  * gdkpixbufdec: Check if initializing the video info actually succeeded
    (CVE-2024-47613, GHSL-2024-118)
  * wavparse: Check for short reads when parsing headers in pull mode
    (CVE-2024-47778, GHSL-2024-258, CVE-2024-47776, GHSL-2024-260)
  * wavparse: Make sure enough data for the tag list tag is available before
    parsing (CVE-2024-47778, GHSL-2024-258)
  * wavparse: Fix parsing of acid chunk
  * wavparse: Check that at least 4 bytes are available before parsing cue
    chunks
  * wavparse: Check that at least 32 bytes are available before parsing smpl
    chunks (CVE-2024-47777, GHSL-2024-259)
  * wavparse: Fix clipping of size to the file size (CVE-2024-47776,
    GHSL-2024-260)
  * wavparse: Check size before reading ds64 chunk (CVE-2024-47775,
    GHSL-2024-261)
  * avisubtitle: Fix size checks and avoid overflows when checking sizes
    (CVE-2024-47774, GHSL-2024-262)
  * matroskademux: Only unmap GstMapInfo in WavPack header extraction error
    paths if previously mapped (CVE-2024-47540, GHSL-2024-197)
  * matroskademux: Fix off-by-one when parsing multi-channel WavPack
  * matroskademux: Check for big enough WavPack codec private data before
    accessing it (CVE-2024-47602, GHSL-2024-250)
  * matroskademux: Don't take data out of an empty adapter when processing
    WavPack frames (CVE-2024-47601, GHSL-2024-249)
  * matroskademux: Skip over laces directly when postprocessing the frame
    fails (CVE-2024-47601, GHSL-2024-249)
  * matroskademux: Skip over zero-sized Xiph stream headers (CVE-2024-47603,
    GHSL-2024-251)
  * matroskademux: Put a copy of the codec data into the A_MS/ACM caps
    (CVE-2024-47834, GHSL-2024-280)
  * qtdemux: Fix integer overflow when allocating the samples table for
    fragmented MP4 (CVE-2024-47537, GHSL-2024-094, GHSL-2024-237,
    GHSL-2024-241)
  * qtdemux: Fix debug output during trun parsing
  * qtdemux: Don't iterate over all trun entries if none of the flags are set
  * qtdemux: Check sizes of stsc/stco/stts before trying to merge entries
    (CVE-2024-47598, GHSL-2024-246)
  * qtdemux: Make sure only an even number of bytes is processed when handling
    CEA608 data (CVE-2024-47539, GHSL-2024-195)
  * qtdemux: Make sure enough data is available before reading wave header
    node (CVE-2024-47543, GHSL-2024-236)
  * qtdemux: Fix length checks and offsets in stsd entry parsing
    (CVE-2024-47545, GHSL-2024-242)
  * qtdemux: Fix error handling when parsing cenc sample groups fails
    (CVE-2024-47544, GHSL-2024-238, GHSL-2024-239, GHSL-2024-240)
  * qtdemux: Make sure there are enough offsets to read when parsing samples
    (CVE-2024-47597, GHSL-2024-245)
  * qtdemux: Actually handle errors returns from various functions instead of
    ignoring them (CVE-2024-47597, GHSL-2024-245)
  * qtdemux: Check for invalid atom length when extracting Closed Caption data
    (CVE-2024-47546, GHSL-2024-243)
  * qtdemux: Add size check for parsing SMI / SEQH atom (CVE-2024-47596,
    GHSL-2024-244)

 -- Salvatore Bonaccorso <carnil@debian.org>  Sat, 21 Dec 2024 14:32:49 +0100

gst-plugins-good1.0 (1.22.0-5+deb12u1) bookworm-security; urgency=medium

  * GST-2023-0001

 -- Moritz Mühlenhoff <jmm@debian.org>  Thu, 29 Jun 2023 20:21:18 +0200

gst-plugins-good1.0 (1.22.0-5) unstable; urgency=medium

  * Team upload
  * Disable the qt5/qt6 elements on architectures where Qt5/Qt6 are not
    building

 -- Laurent Bigonville <bigon@debian.org>  Mon, 27 Feb 2023 20:01:19 +0100

gst-plugins-good1.0 (1.22.0-4) unstable; urgency=medium

  * Add Breaks/Replaces against gst-plugins-ugly which used to provide
    libgstxingmux.so (Closes: #1029923)

 -- Jeremy Bicha <jbicha@ubuntu.com>  Sun, 29 Jan 2023 10:44:36 -0500

gst-plugins-good1.0 (1.22.0-3) unstable; urgency=medium

  * Build-Depend on libgirepository1.0-dev
  * Release to unstable

 -- Jeremy Bicha <jbicha@ubuntu.com>  Sat, 28 Jan 2023 14:00:56 -0500

gst-plugins-good1.0 (1.22.0-2) experimental; urgency=medium

  * Team upload
  * debian/control: Bump minimum gstreamer, glib, and meson
  * debian/rules: Fix configure flags for non-Linux

 -- Jeremy Bicha <jbicha@ubuntu.com>  Fri, 27 Jan 2023 13:33:24 -0500

gst-plugins-good1.0 (1.22.0-1) experimental; urgency=medium

  * Team upload
  * New upstream release
  * Build-Depend on libxml2-dev
  * debian/control: Bump minimum gstreamer, glib, and meson
  * debian/gstreamer1.0-plugins-good.install: Add new plugins
  * Add Qt6 plugin package

 -- Jeremy Bicha <jbicha@ubuntu.com>  Tue, 24 Jan 2023 19:26:03 -0500

gst-plugins-good1.0 (1.20.5-2) unstable; urgency=medium

  * Fix alternate dependency on libsoup3 (Closes: #1023215)
  * debian/rules: Set -Dauto_features=enabled
  * Update standards version to 4.6.2, no changes needed

 -- Jeremy Bicha <jbicha@ubuntu.com>  Tue, 24 Jan 2023 18:58:12 -0500

gst-plugins-good1.0 (1.20.5-1) unstable; urgency=medium

  * Team upload
  * New upstream release
  * Add debian/upstream/signing-key.asc and update debian/watch to use it
  * Update debian/upstream/metadata
  * Update standards version to 4.6.1, no changes needed

 -- Jeremy Bicha <jbicha@ubuntu.com>  Thu, 05 Jan 2023 14:03:18 -0500
