## gst-plugins-good1.0 1.22.1

=== debian/changelog ===
gst-plugins-good1.0 (1.22.1-1ubuntu1.2) lunar-security; urgency=medium

  * SECURITY UPDATE: Integer overflow leading to heap overwrite in FLAC
    image tag handling
    - debian/patches/CVE-2023-37327-1.patch: avoid integer overflow in
      available data check for image tags in
      gst/audioparsers/gstflacparse.c.
    - CVE-2023-37327
  * debian/patches/Skip-failing-tests.patch: add flvmux test as it is now
    hitting a timeout on arm64.

 -- Marc Deslauriers <marc.deslauriers@ubuntu.com>  Tue, 01 Aug 2023 08:36:03 -0400

gst-plugins-good1.0 (1.22.1-1ubuntu1) lunar; urgency=medium

  * Merge from Debian (LP: #2015129. Remaining changes:
    + Import plugins from -bad that are needed for main applications.
      - jpegformat
      - camerabin (+ basecamerabinsrc + photography)
    + Add a library package containing the shared library and a -dev package for
      compiling against it. Add Breaks and Replaces against the plugins packages
      which formerly contained files shipped here.
    + Add 'pluginsdir' variable to our added pcfile for compatibility with
      some external software
    + debian/control{,.in}: Update Vcs-* for Ubuntu
    + Don't require libqt5waylandclient5-dev Build-Depends on i386
    + Don't build the Qt6 plugin on i386 since Qt6 isn't built there
      on Ubuntu yet

 -- Jeremy Bicha <jbicha@ubuntu.com>  Tue, 04 Apr 2023 08:53:41 -0400

gst-plugins-good1.0 (1.22.1-1) experimental; urgency=medium

  * Team upload
  * New upstream bugfix release

 -- Jeremy Bicha <jbicha@ubuntu.com>  Mon, 03 Apr 2023 16:35:02 -0400

gst-plugins-good1.0 (1.22.0-4ubuntu1) lunar; urgency=medium

  * Merge from Debian. Remaining changes:
    + Import plugins from -bad that are needed for main applications.
      - jpegformat
      - camerabin (+ basecamerabinsrc + photography)
    + Add a library package containing the shared library and a -dev package for
      compiling against it. Add Breaks and Replaces against the plugins packages
      which formerly contained files shipped here.
    + Add 'pluginsdir' variable to our added pcfile for compatibility with
      some external software
    + debian/control{,.in}: Update Vcs-* for Ubuntu
    + Don't require libqt5waylandclient5-dev Build-Depends on i386
    + Don't build the Qt6 plugin on i386 since Qt6 isn't built there
      on Ubuntu yet

 -- Jeremy Bicha <jbicha@ubuntu.com>  Sun, 29 Jan 2023 11:02:43 -0500

gst-plugins-good1.0 (1.22.0-1ubuntu1) lunar; urgency=medium

  * Merge from Debian experimental (NEW). Remaining changes:
    + Import plugins from -bad that are needed for main applications.
      - jpegformat
      - camerabin (+ basecamerabinsrc + photography)
    + Add a library package containing the shared library and a -dev package for
      compiling against it. Add Breaks and Replaces against the plugins packages
      which formerly contained files shipped here.
    + Add 'pluginsdir' variable to our added pcfile for compatibility with
      some external software
    + debian/control{,.in}: Update Vcs-* for Ubuntu
    + Don't require libqt5waylandclient5-dev Build-Depends on i386
  * debian/control: Bump minimum gstreamer, glib, and meson
  * debian/rules: Fix configure flags for non-Linux
  * Build-Depend on libgirepository1.0-dev
  * Update camerabin patch for the 1.22 series
  * Don't build the Qt6 plugin on i386 since Qt6 isn't built there on Ubuntu yet

 -- Jeremy Bicha <jbicha@ubuntu.com>  Fri, 27 Jan 2023 14:45:15 -0500

gst-plugins-good1.0 (1.20.5-1ubuntu1) lunar; urgency=medium

  * Merge from Debian unstable. Remaining changes:
    + Import plugins from -bad that are needed for main applications.
      - jpegformat
      - camerabin (+ basecamerabinsrc + photography)
    + Add a library package containing the shared library and a -dev package for
      compiling against it. Add Breaks and Replaces against the plugins packages
      which formerly contained files shipped here.
    + Add 'pluginsdir' variable to our added pcfile for compatibility with
      some external software
    + debian/control{,.in}: Update Vcs-* for Ubuntu
    + Don't require libqt5waylandclient5-dev Build-Depends on i386

 -- Jeremy Bicha <jbicha@ubuntu.com>  Mon, 09 Jan 2023 14:58:49 -0500

gst-plugins-good1.0 (1.20.3-1ubuntu2) lunar; urgency=medium

  * No-change rebuild against libflac12

 -- Steve Langasek <steve.langasek@ubuntu.com>  Mon, 12 Dec 2022 20:27:24 +0000

gst-plugins-good1.0 (1.20.3-1ubuntu1) kinetic; urgency=medium

  * Merge from Debian unstable. Remaining changes:
    + Import plugins from -bad that are needed for main applications.
      - jpegformat
      - camerabin (+ basecamerabinsrc + photography)
    + Add a library package containing the shared library and a -dev package for
      compiling against it. Add Breaks and Replaces against the plugins packages
      which formerly contained files shipped here.
    + Add 'pluginsdir' variable to our added pcfile for compatibility with
      some external software
    + debian/control{,.in}: Update Vcs-* for Ubuntu
    + Don't require libqt5waylandclient5-dev Build-Depends on i386

 -- Jeremy Bicha <jbicha@ubuntu.com>  Thu, 16 Jun 2022 08:29:43 -0400

gst-plugins-good1.0 (1.20.2-1ubuntu2) kinetic; urgency=medium

  * Only make dh_auto_test fail the build for key architectures

 -- Jeremy Bicha <jbicha@ubuntu.com>  Mon, 23 May 2022 16:04:10 -0400

gst-plugins-good1.0 (1.20.2-1ubuntu1) kinetic; urgency=medium

  * Merge from Debian unstable. Remaining changes:
    + Import plugins from -bad that are needed for main applications.
      - jpegformat
      - camerabin (+ basecamerabinsrc + photography)
    + Add a library package containing the shared library and a -dev package for
      compiling against it. Add Breaks and Replaces against the plugins packages
      which formerly contained files shipped here.
    + Add 'pluginsdir' variable to our added pcfile for compatibility with
      some external software

