=== debian/control ===
--- 
+++ 
@@ -1,7 +1,8 @@
 Source: gst-plugins-good1.0
 Section: libs
 Priority: optional
-Maintainer: Maintainers of GStreamer packages <gst-plugins-good1.0@packages.debian.org>
+Maintainer: Ubuntu Developers <ubuntu-devel-discuss@lists.ubuntu.com>
+XSBC-Original-Maintainer: Maintainers of GStreamer packages <gst-plugins-good1.0@packages.debian.org>
 Uploaders: Sebastian Dröge <slomo@debian.org>,
            Sjoerd Simons <sjoerd@debian.org>
 Build-Depends: debhelper,
@@ -45,11 +46,11 @@
                qtbase5-dev [amd64 arm64 armel armhf i386 mips64el mipsel ppc64el s390x hurd-i386 powerpc ppc64 riscv64 sparc64],
                qtbase5-private-dev [amd64 arm64 armel armhf i386 mips64el mipsel ppc64el s390x hurd-i386 powerpc ppc64 riscv64 sparc64],
                qtdeclarative5-dev [amd64 arm64 armel armhf i386 mips64el mipsel ppc64el s390x hurd-i386 powerpc ppc64 riscv64 sparc64],
-               qt6-base-dev [amd64 arm64 armel armhf i386 mips64el mipsel ppc64el s390x hurd-i386 powerpc ppc64 riscv64 sparc64],
-               qt6-declarative-dev [amd64 arm64 armel armhf i386 mips64el mipsel ppc64el s390x hurd-i386 powerpc ppc64 riscv64 sparc64],
-               qt6-tools-dev [amd64 arm64 armel armhf i386 mips64el mipsel ppc64el s390x hurd-i386 powerpc ppc64 riscv64 sparc64],
+               qt6-base-dev [amd64 arm64 armel armhf mips64el mipsel ppc64el s390x hurd-i386 powerpc ppc64 riscv64 sparc64],
+               qt6-declarative-dev [amd64 arm64 armel armhf mips64el mipsel ppc64el s390x hurd-i386 powerpc ppc64 riscv64 sparc64],
+               qt6-tools-dev [amd64 arm64 armel armhf mips64el mipsel ppc64el s390x hurd-i386 powerpc ppc64 riscv64 sparc64],
                libqt5x11extras5-dev [amd64 arm64 armel armhf i386 mips64el mipsel ppc64el s390x hurd-i386 powerpc ppc64 riscv64 sparc64],
-               libqt5waylandclient5-dev [amd64 arm64 armel armhf i386 mips64el mipsel ppc64el s390x powerpc ppc64 riscv64 sparc64],
+               libqt5waylandclient5-dev [amd64 arm64 armel armhf mips64el mipsel ppc64el s390x powerpc ppc64 riscv64 sparc64],
                libraw1394-dev (>= 2.0.0) [linux-any],
                libiec61883-dev (>= 1.0.0) [linux-any],
                libavc1394-dev [linux-any],
@@ -57,8 +58,10 @@
                libgudev-1.0-dev (>= 147) [linux-any],
                nasm (>= 2.13) [any-amd64]
 Standards-Version: 4.6.2
-Vcs-Git: https://salsa.debian.org/gstreamer-team/gst-plugins-good1.0.git
-Vcs-Browser: https://salsa.debian.org/gstreamer-team/gst-plugins-good1.0/
+Vcs-Git: git://git.launchpad.net/~ubuntu-desktop/ubuntu/+source/gst-plugins-good1.0
+Vcs-Browser: https://code.launchpad.net/~ubuntu-desktop/ubuntu/+source/gst-plugins-good1.0/+git/gst-plugins-good1.0
+XS-Debian-Vcs-Git: https://salsa.debian.org/gstreamer-team/gst-plugins-good1.0.git
+XS-Debian-Vcs-Browser: https://salsa.debian.org/gstreamer-team/gst-plugins-good1.0/
 Homepage: https://gstreamer.freedesktop.org
 
 Package: gstreamer1.0-pulseaudio
@@ -105,7 +108,7 @@
  This package contains the GStreamer plugin for Qt5.
 
 Package: gstreamer1.0-qt6
-Architecture: amd64 arm64 armel armhf i386 mips64el mipsel ppc64el s390x hurd-i386 powerpc ppc64 riscv64 sparc64
+Architecture: amd64 arm64 armel armhf mips64el mipsel ppc64el s390x hurd-i386 powerpc ppc64 riscv64 sparc64
 Multi-Arch: same
 Section: graphics
 Depends: ${misc:Depends},
@@ -159,6 +162,7 @@
          ${shlibs:Depends},
          gstreamer1.0-audiosink,
          gstreamer1.0-plugins-base (>= 1.22.0),
+         libgstreamer-plugins-good1.0-0 (= ${binary:Version}),
          libsoup2.4-1 (>= 2.48) | libsoup-3.0-0
 Recommends: gstreamer1.0-x
 Replaces: gstreamer1.0-plugins-bad (<< 1.15.1),
@@ -184,3 +188,42 @@
  .
  This package contains the GStreamer plugins from the "good" set, a set
  of good-quality plug-ins under the LGPL license.
+
+Package: libgstreamer-plugins-good1.0-0
+Architecture: any
+Section: libs
+Priority: optional
+Multi-Arch: same
+Depends: ${misc:Depends},
+         ${shlibs:Depends},
+Breaks: libgstreamer-plugins-bad1.0-0 (<< 1.0.3-1ubuntu1)
+Replaces: gstreamer1.0-plugins-good (= 1.0.3-1ubuntu1),
+          libgstreamer-plugins-bad1.0-0 (<< 1.0.3-1ubuntu1)
+Description: GStreamer development files for libraries from the "good" set
+ GStreamer is a streaming media framework, based on graphs of filters
+ which operate on media data.  Applications using this library can do
+ anything from real-time sound processing to playing videos, and just
+ about anything else media-related.  Its plugin-based architecture means
+ that new data types or processing capabilities can be added simply by
+ installing new plug-ins.
+ .
+ This package contains shared GStreamer libraries from the "good" set. The API
+ is not guaranteed to be stable.
+
+Package: libgstreamer-plugins-good1.0-dev
+Architecture: any
+Section: libdevel
+Priority: optional
+Depends: ${misc:Depends},
+     libgstreamer-plugins-good1.0-0 (= ${binary:Version}),
+     libgstreamer1.0-dev
+Description: GStreamer development files for libraries from the "good" set
+ GStreamer is a streaming media framework, based on graphs of filters
+ which operate on media data.  Applications using this library can do
+ anything from real-time sound processing to playing videos, and just
+ about anything else media-related.  Its plugin-based architecture means
+ that new data types or processing capabilities can be added simply by
+ installing new plug-ins.
+ .
+ This package contains development files for GStreamer libraries from the
+ "good" set. The API is not guaranteed to be stable.
