=== debian/rules ===
--- 
+++ 
@@ -79,5 +79,6 @@
 
 	mkdir -p $(CURDIR)/fake-home
 	HOME=$(CURDIR)/fake-home \
-	dh_gstscancodecs
+	LD_LIBRARY_PATH=debian/libgstreamer-plugins-good1.0-0/usr/lib/$(DEB_HOST_MULTIARCH) \
+	    dh_gstscancodecs
 	rm -rf $(CURDIR)/fake-home
