=== debian/changelog ===
gst-plugins-good1.0 (1.22.5-1ubuntu1) mantic; urgency=medium

  * Merge from Debian. Remaining changes:
    + Import plugins from -bad that are needed for main applications.
      - jpegformat
      - camerabin (+ basecamerabinsrc + photography)
    + Add a library package containing the shared library and a -dev package for
      compiling against it. Add Breaks and Replaces against the plugins packages
      which formerly contained files shipped here.
    + Add 'pluginsdir' variable to our added pcfile for compatibility with
      some external software
    + debian/control{,.in}: Update Vcs-* for Ubuntu
    + Don't require libqt5waylandclient5-dev Build-Depends on i386
    + Don't build the Qt6 plugin on i386 since Qt6 isn't built there
      on Ubuntu

 -- Jeremy Bícha <jbicha@ubuntu.com>  Thu, 17 Aug 2023 09:56:18 -0400

gst-plugins-good1.0 (1.22.5-1) unstable; urgency=medium

  * Team upload
  * New upstream release
  * Cherry-pick patch to fix Qt build

 -- Jeremy Bícha <jbicha@ubuntu.com>  Wed, 16 Aug 2023 08:02:48 -0400

gst-plugins-good1.0 (1.22.4-1ubuntu2) mantic; urgency=medium

  * Disable qt-wayland on i386

 -- Jeremy Bícha <jbicha@ubuntu.com>  Wed, 28 Jun 2023 18:30:37 -0400

gst-plugins-good1.0 (1.22.4-1ubuntu1) mantic; urgency=medium

  * Merge from Debian. Remaining changes:
    + Import plugins from -bad that are needed for main applications.
      - jpegformat
      - camerabin (+ basecamerabinsrc + photography)
    + Add a library package containing the shared library and a -dev package for
      compiling against it. Add Breaks and Replaces against the plugins packages
      which formerly contained files shipped here.
    + Add 'pluginsdir' variable to our added pcfile for compatibility with
      some external software
    + debian/control{,.in}: Update Vcs-* for Ubuntu
    + Don't require libqt5waylandclient5-dev Build-Depends on i386
    + Don't build the Qt6 plugin on i386 since Qt6 isn't built there
      on Ubuntu

 -- Jeremy Bícha <jbicha@ubuntu.com>  Wed, 28 Jun 2023 16:05:51 -0400

gst-plugins-good1.0 (1.22.4-1) unstable; urgency=high

  * Team upload
  * SECURITY UPDATE: New upstream release
    - Integer overflow leading to heap overwrite in FLAC image tag handling
      (GStreamer-SA-2023-0001, ZDI-CAN-20775)
    - Heap overwrite in PGS subtitle overlay decoder
      (GStreamer-SA-2023-0003, ZDI-CAN-20994)
  * debian/control: Update qt6 Build-Depends
  * debian/control: Update libshout-dev Build-Depends

 -- Jeremy Bícha <jbicha@ubuntu.com>  Wed, 28 Jun 2023 15:58:32 -0400

gst-plugins-good1.0 (1.22.3-2) unstable; urgency=medium

  * Team upload
  * Release to unstable

 -- Jeremy Bícha <jbicha@ubuntu.com>  Mon, 12 Jun 2023 14:42:30 -0400

gst-plugins-good1.0 (1.22.3-1ubuntu1) mantic; urgency=medium

  * Merge from Debian (LP: #2015129. Remaining changes:
    + Import plugins from -bad that are needed for main applications.
      - jpegformat
      - camerabin (+ basecamerabinsrc + photography)
    + Add a library package containing the shared library and a -dev package for
      compiling against it. Add Breaks and Replaces against the plugins packages
      which formerly contained files shipped here.
    + Add 'pluginsdir' variable to our added pcfile for compatibility with
      some external software
    + debian/control{,.in}: Update Vcs-* for Ubuntu
    + Don't require libqt5waylandclient5-dev Build-Depends on i386
    + Don't build the Qt6 plugin on i386 since Qt6 isn't built there
      on Ubuntu

 -- Jeremy Bícha <jbicha@ubuntu.com>  Sun, 21 May 2023 09:04:55 -0400

gst-plugins-good1.0 (1.22.3-1) experimental; urgency=medium

  * Team upload
  * New upstream release
  * debian/rules: Enable all hardening flags
  * Try dropping patch that skips some failing build tests

 -- Jeremy Bícha <jbicha@ubuntu.com>  Sun, 21 May 2023 08:14:46 -0400
