=== debian/control ===
--- 
+++ 
@@ -22,7 +22,7 @@
                libcaca-dev,
                libspeex-dev (>= 1.1.6),
                libpng-dev,
-               libshout3-dev,
+               libshout-dev,
                libjpeg-dev,
                libaa1-dev (>= 1.4p5),
                libflac-dev (>= 1.1.4),
@@ -46,9 +46,10 @@
                qtbase5-dev [amd64 arm64 armel armhf i386 mips64el mipsel ppc64el s390x hurd-i386 powerpc ppc64 riscv64 sparc64],
                qtbase5-private-dev [amd64 arm64 armel armhf i386 mips64el mipsel ppc64el s390x hurd-i386 powerpc ppc64 riscv64 sparc64],
                qtdeclarative5-dev [amd64 arm64 armel armhf i386 mips64el mipsel ppc64el s390x hurd-i386 powerpc ppc64 riscv64 sparc64],
-               qt6-base-dev [amd64 arm64 armel armhf mips64el mipsel ppc64el s390x hurd-i386 powerpc ppc64 riscv64 sparc64],
+               qt6-base-private-dev [amd64 arm64 armel armhf mips64el mipsel ppc64el s390x hurd-i386 powerpc ppc64 riscv64 sparc64],
                qt6-declarative-dev [amd64 arm64 armel armhf mips64el mipsel ppc64el s390x hurd-i386 powerpc ppc64 riscv64 sparc64],
                qt6-tools-dev [amd64 arm64 armel armhf mips64el mipsel ppc64el s390x hurd-i386 powerpc ppc64 riscv64 sparc64],
+               qt6-wayland-dev [amd64 arm64 armel armhf mips64el mipsel ppc64el s390x hurd-i386 powerpc ppc64 riscv64 sparc64],
                libqt5x11extras5-dev [amd64 arm64 armel armhf i386 mips64el mipsel ppc64el s390x hurd-i386 powerpc ppc64 riscv64 sparc64],
                libqt5waylandclient5-dev [amd64 arm64 armel armhf mips64el mipsel ppc64el s390x powerpc ppc64 riscv64 sparc64],
                libraw1394-dev (>= 2.0.0) [linux-any],
