=== debian/control ===
--- 
+++ 
@@ -46,6 +46,7 @@
                qtbase5-dev [amd64 arm64 armel armhf i386 mips64el mipsel ppc64el s390x hurd-i386 powerpc ppc64 riscv64 sparc64],
                qtbase5-private-dev [amd64 arm64 armel armhf i386 mips64el mipsel ppc64el s390x hurd-i386 powerpc ppc64 riscv64 sparc64],
                qtdeclarative5-dev [amd64 arm64 armel armhf i386 mips64el mipsel ppc64el s390x hurd-i386 powerpc ppc64 riscv64 sparc64],
+               qttools5-dev [amd64 arm64 armel armhf i386 mips64el mipsel ppc64el s390x hurd-i386 powerpc ppc64 riscv64 sparc64],
                qt6-base-private-dev [amd64 arm64 armel armhf mips64el mipsel ppc64el s390x hurd-i386 powerpc ppc64 riscv64 sparc64],
                qt6-declarative-dev [amd64 arm64 armel armhf mips64el mipsel ppc64el s390x hurd-i386 powerpc ppc64 riscv64 sparc64],
                qt6-tools-dev [amd64 arm64 armel armhf mips64el mipsel ppc64el s390x hurd-i386 powerpc ppc64 riscv64 sparc64],
