=== debian/rules ===
--- 
+++ 
@@ -2,6 +2,8 @@
 
 include /usr/share/dpkg/default.mk
 
+export DEB_BUILD_MAINT_OPTIONS = hardening=+all
+export DEB_LDFLAGS_MAINT_APPEND = -Wl,-O1 -Wl,-z,defs
 export HOME=$(CURDIR)/fake-home
 export QT_SELECT=5
 
@@ -11,10 +13,6 @@
 gst_version=$(shell echo $(version) | cut -d '-' -f 1)
 
 built_binaries := $(shell dh_listpackages)
-
-CFLAGS += -Wno-error
-CXXFLAGS += -Wno-error
-LDFLAGS += -Wl,-z,defs -Wl,-O1
 
 # Let's decide the package name and url depending on the distribution
 DISTRO = "$(shell dpkg-vendor --query vendor)"
@@ -50,6 +48,11 @@
 conf_flags += -Dqt6=disabled
 endif
 
+# qtwayland-opensource-src isn't built on i386 currently
+ifeq ($(DEB_HOST_ARCH),i386)
+conf_flags += -Dqt-wayland=disabled
+endif
+
 %:
 	dh $@
